Issuing 27 endpoints

GET /v1/issuing/cardholders

Returns a list of Issuing Cardholder objects. The objects are sorted in descending order by creation date, with the most recently created object appearing first.

operationId: GetIssuingCardholders

Parameters

Name In Required Type Description
created query optional

Only return cardholders that were created during the given date interval.

email query optional string

Only return cardholders that have the given email address.

ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

phone_number query optional string

Only return cardholders that have the given phone number.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

status query optional string

Only return cardholders that have the given status. One of active, inactive, or blocked.

type query optional string

Only return cardholders that have the given type. One of individual or company.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/issuing/cardholders
POST /v1/issuing/cardholders

Creates a new Issuing Cardholder object that can be issued cards.

operationId: PostIssuingCardholders

Request Body

required
application/x-www-form-urlencoded
Property Type Required
name string required
type string optional
email string optional
expand array optional
status string optional
billing object required
address object required
city string required
line1 string required
line2 string optional
state string optional
country string required
postal_code string required
company object optional
tax_id string optional
metadata object optional
individual object optional
dob object optional
day integer required
year integer required
month integer required
last_name string optional
first_name string optional
card_issuing object optional
user_terms_acceptance object optional
ip string optional
date integer optional
user_agent object optional
verification object optional
document object optional
back string optional
front string optional
phone_number string optional
preferred_locales array optional
spending_controls object optional
spending_limits array optional
amount integer required
interval string required
categories array optional
allowed_categories array optional
blocked_categories array optional
allowed_card_presences array optional
blocked_card_presences array optional
spending_limits_currency string optional
allowed_merchant_countries array optional
blocked_merchant_countries array optional

Responses

default

Error response.

200

Successful response.

POST /v1/issuing/cardholders
GET /v1/issuing/cardholders/{cardholder}

Retrieves an Issuing Cardholder object.

operationId: GetIssuingCardholdersCardholder

Parameters

Name In Required Type Description
cardholder path required string
expand query optional array

Specifies which fields in the response should be expanded.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/issuing/cardholders/{cardholder}
POST /v1/issuing/cardholders/{cardholder}

Updates the specified Issuing Cardholder object by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

operationId: PostIssuingCardholdersCardholder

Parameters

Name In Required Type Description
cardholder path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
email string optional
expand array optional
status string optional
billing object optional
address object required
city string required
line1 string required
line2 string optional
state string optional
country string required
postal_code string required
company object optional
tax_id string optional
metadata object optional
individual object optional
dob object optional
day integer required
year integer required
month integer required
last_name string optional
first_name string optional
card_issuing object optional
user_terms_acceptance object optional
ip string optional
date integer optional
user_agent object optional
verification object optional
document object optional
back string optional
front string optional
phone_number string optional
preferred_locales array optional
spending_controls object optional
spending_limits array optional
amount integer required
interval string required
categories array optional
allowed_categories array optional
blocked_categories array optional
allowed_card_presences array optional
blocked_card_presences array optional
spending_limits_currency string optional
allowed_merchant_countries array optional
blocked_merchant_countries array optional

Responses

default

Error response.

200

Successful response.

POST /v1/issuing/cardholders/{cardholder}
GET /v1/issuing/cards

Returns a list of Issuing Card objects. The objects are sorted in descending order by creation date, with the most recently created object appearing first.

operationId: GetIssuingCards

Parameters

Name In Required Type Description
cardholder query optional string

Only return cards belonging to the Cardholder with the provided ID.

created query optional

Only return cards that were issued during the given date interval.

ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

exp_month query optional integer

Only return cards that have the given expiration month.

exp_year query optional integer

Only return cards that have the given expiration year.

expand query optional array

Specifies which fields in the response should be expanded.

last4 query optional string

Only return cards that have the given last four digits.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

personalization_design query optional string
starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

status query optional string

Only return cards that have the given status. One of active, inactive, or canceled.

type query optional string

Only return cards that have the given type. One of virtual or physical.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/issuing/cards
POST /v1/issuing/cards

Creates an Issuing Card object.

operationId: PostIssuingCards

Request Body

required
application/x-www-form-urlencoded
Property Type Required
pin object optional
encrypted_number string optional
type string required
expand array optional
status string optional
currency string required
exp_year integer optional
metadata object optional
shipping object optional
name string required
type string optional
address object required
city string required
line1 string required
line2 string optional
state string optional
country string required
postal_code string required
customs object optional
eori_number string optional
service string optional
phone_number string optional
require_signature boolean optional
address_validation object optional
mode string required
exp_month integer optional
cardholder string optional
second_line object optional
replacement_for string optional
financial_account string optional
spending_controls object optional
spending_limits array optional
amount integer required
interval string required
categories array optional
allowed_categories array optional
blocked_categories array optional
allowed_card_presences array optional
blocked_card_presences array optional
allowed_merchant_countries array optional
blocked_merchant_countries array optional
lifecycle_controls object optional
cancel_after object required
payment_count integer required
replacement_reason string optional
personalization_design string optional

Responses

default

Error response.

200

Successful response.

POST /v1/issuing/cards
GET /v1/issuing/cards/{card}

Retrieves an Issuing Card object.

operationId: GetIssuingCardsCard

Parameters

Name In Required Type Description
card path required string
expand query optional array

Specifies which fields in the response should be expanded.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/issuing/cards/{card}
POST /v1/issuing/cards/{card}

Updates the specified Issuing Card object by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

operationId: PostIssuingCardsCard

Parameters

Name In Required Type Description
card path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
pin object optional
encrypted_number string optional
expand array optional
status string optional
metadata object optional
shipping object optional
name string required
type string optional
address object required
city string required
line1 string required
line2 string optional
state string optional
country string required
postal_code string required
customs object optional
eori_number string optional
service string optional
phone_number string optional
require_signature boolean optional
address_validation object optional
mode string required
spending_controls object optional
spending_limits array optional
amount integer required
interval string required
categories array optional
allowed_categories array optional
blocked_categories array optional
allowed_card_presences array optional
blocked_card_presences array optional
allowed_merchant_countries array optional
blocked_merchant_countries array optional
cancellation_reason string optional
personalization_design string optional

Responses

default

Error response.

200

Successful response.

POST /v1/issuing/cards/{card}
GET /v1/issuing/disputes

Returns a list of Issuing Dispute objects. The objects are sorted in descending order by creation date, with the most recently created object appearing first.

operationId: GetIssuingDisputes

Parameters

Name In Required Type Description
created query optional

Only return Issuing disputes that were created during the given date interval.

ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

status query optional string

Select Issuing disputes with the given status.

transaction query optional string

Select the Issuing dispute for the given transaction.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/issuing/disputes
POST /v1/issuing/disputes

Creates an Issuing Dispute object. Individual pieces of evidence within the evidence object are optional at this point. Stripe only validates that required evidence is present during submission. Refer to Dispute reasons and evidence for more details about evidence requirements.

operationId: PostIssuingDisputes

Request Body

application/x-www-form-urlencoded
Property Type Required
amount integer optional
expand array optional
evidence object optional
other object optional
reason string optional
canceled object optional
duplicate object optional
fraudulent object optional
not_received object optional
no_valid_authorization object optional
service_not_as_described object optional
merchandise_not_as_described object optional
metadata object optional
treasury object optional
received_debit string required
transaction string optional

Responses

default

Error response.

200

Successful response.

POST /v1/issuing/disputes
GET /v1/issuing/disputes/{dispute}

Retrieves an Issuing Dispute object.

operationId: GetIssuingDisputesDispute

Parameters

Name In Required Type Description
dispute path required string
expand query optional array

Specifies which fields in the response should be expanded.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/issuing/disputes/{dispute}
POST /v1/issuing/disputes/{dispute}

Updates the specified Issuing Dispute object by setting the values of the parameters passed. Any parameters not provided will be left unchanged. Properties on the evidence object can be unset by passing in an empty string.

operationId: PostIssuingDisputesDispute

Parameters

Name In Required Type Description
dispute path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
amount integer optional
expand array optional
evidence object optional
other object optional
reason string optional
canceled object optional
duplicate object optional
fraudulent object optional
not_received object optional
no_valid_authorization object optional
service_not_as_described object optional
merchandise_not_as_described object optional
metadata object optional

Responses

default

Error response.

200

Successful response.

POST /v1/issuing/disputes/{dispute}
POST /v1/issuing/disputes/{dispute}/submit

Submits an Issuing Dispute to the card network. Stripe validates that all evidence fields required for the dispute’s reason are present. For more details, see Dispute reasons and evidence.

operationId: PostIssuingDisputesDisputeSubmit

Parameters

Name In Required Type Description
dispute path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional
metadata object optional

Responses

default

Error response.

200

Successful response.

POST /v1/issuing/disputes/{dispute}/submit
GET /v1/issuing/personalization_designs

Returns a list of personalization design objects. The objects are sorted in descending order by creation date, with the most recently created object appearing first.

operationId: GetIssuingPersonalizationDesigns

Parameters

Name In Required Type Description
ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

lookup_keys query optional array

Only return personalization designs with the given lookup keys.

preferences query optional object

Only return personalization designs with the given preferences.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

status query optional string

Only return personalization designs with the given status.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/issuing/personalization_designs
POST /v1/issuing/personalization_designs

Creates a personalization design object.

operationId: PostIssuingPersonalizationDesigns

Request Body

required
application/x-www-form-urlencoded
Property Type Required
name string optional
expand array optional
metadata object optional
card_logo string optional
lookup_key string optional
preferences object optional
is_default boolean required
carrier_text object optional
footer_body object optional
header_body object optional
footer_title object optional
header_title object optional
physical_bundle string required
transfer_lookup_key boolean optional

Responses

default

Error response.

200

Successful response.

POST /v1/issuing/personalization_designs
GET /v1/issuing/personalization_designs/{personalization_design}

Retrieves a personalization design object.

operationId: GetIssuingPersonalizationDesignsPersonalizationDesign

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

personalization_design path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/issuing/personalization_designs/{personalization_design}
POST /v1/issuing/personalization_designs/{personalization_design}

Updates a card personalization object.

operationId: PostIssuingPersonalizationDesignsPersonalizationDesign

Parameters

Name In Required Type Description
personalization_design path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
name object optional
expand array optional
metadata object optional
card_logo object optional
lookup_key object optional
preferences object optional
is_default boolean required
carrier_text object optional
physical_bundle string optional
transfer_lookup_key boolean optional

Responses

default

Error response.

200

Successful response.

POST /v1/issuing/personalization_designs/{personalization_design}
GET /v1/issuing/physical_bundles

Returns a list of physical bundle objects. The objects are sorted in descending order by creation date, with the most recently created object appearing first.

operationId: GetIssuingPhysicalBundles

Parameters

Name In Required Type Description
ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

status query optional string

Only return physical bundles with the given status.

type query optional string

Only return physical bundles with the given type.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/issuing/physical_bundles
GET /v1/issuing/physical_bundles/{physical_bundle}

Retrieves a physical bundle object.

operationId: GetIssuingPhysicalBundlesPhysicalBundle

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

physical_bundle path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/issuing/physical_bundles/{physical_bundle}
GET /v1/issuing/settlements/{settlement}

Retrieves an Issuing Settlement object.

operationId: GetIssuingSettlementsSettlement

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

settlement path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/issuing/settlements/{settlement}
POST /v1/issuing/settlements/{settlement}

Updates the specified Issuing Settlement object by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

operationId: PostIssuingSettlementsSettlement

Parameters

Name In Required Type Description
settlement path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional
metadata object optional

Responses

default

Error response.

200

Successful response.

POST /v1/issuing/settlements/{settlement}
GET /v1/issuing/tokens

Lists all Issuing Token objects for a given card.

operationId: GetIssuingTokens

Parameters

Name In Required Type Description
card query required string

The Issuing card identifier to list tokens for.

created query optional

Only return Issuing tokens that were created during the given date interval.

ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

status query optional string

Select Issuing tokens with the given status.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/issuing/tokens
GET /v1/issuing/tokens/{token}

Retrieves an Issuing Token object.

operationId: GetIssuingTokensToken

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

token path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/issuing/tokens/{token}
POST /v1/issuing/tokens/{token}

Attempts to update the specified Issuing Token object to the status specified.

operationId: PostIssuingTokensToken

Parameters

Name In Required Type Description
token path required string

Request Body

required
application/x-www-form-urlencoded
Property Type Required
expand array optional
status string required

Responses

default

Error response.

200

Successful response.

POST /v1/issuing/tokens/{token}
GET /v1/issuing/transactions

Returns a list of Issuing Transaction objects. The objects are sorted in descending order by creation date, with the most recently created object appearing first.

operationId: GetIssuingTransactions

Parameters

Name In Required Type Description
card query optional string

Only return transactions that belong to the given card.

cardholder query optional string

Only return transactions that belong to the given cardholder.

created query optional

Only return transactions that were created during the given date interval.

ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

type query optional string

Only return transactions that have the given type. One of capture or refund.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/issuing/transactions
GET /v1/issuing/transactions/{transaction}

Retrieves an Issuing Transaction object.

operationId: GetIssuingTransactionsTransaction

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

transaction path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/issuing/transactions/{transaction}
POST /v1/issuing/transactions/{transaction}

Updates the specified Issuing Transaction object by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

operationId: PostIssuingTransactionsTransaction

Parameters

Name In Required Type Description
transaction path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional
metadata object optional

Responses

default

Error response.

200

Successful response.

POST /v1/issuing/transactions/{transaction}

Linkaccountsessions 2 endpoints

POST /v1/link_account_sessions

To launch the Financial Connections authorization flow, create a Session. The session’s client_secret can be used to launch the flow using Stripe.js.

operationId: PostLinkAccountSessions

Request Body

required
application/x-www-form-urlencoded
Property Type Required
expand array optional
filters object optional
countries array optional
account_subcategories array optional
prefetch array optional
return_url string optional
permissions array required
account_holder object required
type string required
account string optional
customer string optional
customer_account string optional

Responses

default

Error response.

200

Successful response.

POST /v1/link_account_sessions
GET /v1/link_account_sessions/{session}

Retrieves the details of a Financial Connections Session

operationId: GetLinkAccountSessionsSession

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

session path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/link_account_sessions/{session}

Linkedaccounts 5 endpoints

GET /v1/linked_accounts

Returns a list of Financial Connections Account objects.

operationId: GetLinkedAccounts

Parameters

Name In Required Type Description
account_holder query optional object

If present, only return accounts that belong to the specified account holder. account_holder[customer] and account_holder[account] are mutually exclusive.

ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

session query optional string

If present, only return accounts that were collected as part of the given session.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/linked_accounts
GET /v1/linked_accounts/{account}

Retrieves the details of an Financial Connections Account.

operationId: GetLinkedAccountsAccount

Parameters

Name In Required Type Description
account path required string
expand query optional array

Specifies which fields in the response should be expanded.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/linked_accounts/{account}
POST /v1/linked_accounts/{account}/disconnect

Disables your access to a Financial Connections Account. You will no longer be able to access data associated with the account (e.g. balances, transactions).

operationId: PostLinkedAccountsAccountDisconnect

Parameters

Name In Required Type Description
account path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional

Responses

default

Error response.

200

Successful response.

POST /v1/linked_accounts/{account}/disconnect
GET /v1/linked_accounts/{account}/owners

Lists all owners for a given Account

operationId: GetLinkedAccountsAccountOwners

Parameters

Name In Required Type Description
account path required string
ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

ownership query required string

The ID of the ownership object to fetch owners from.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/linked_accounts/{account}/owners
POST /v1/linked_accounts/{account}/refresh

Refreshes the data associated with a Financial Connections Account.

operationId: PostLinkedAccountsAccountRefresh

Parameters

Name In Required Type Description
account path required string

Request Body

required
application/x-www-form-urlencoded
Property Type Required
expand array optional
features array required

Responses

default

Error response.

200

Successful response.

POST /v1/linked_accounts/{account}/refresh

Mandates 1 endpoints

GET /v1/mandates/{mandate}

Retrieves a Mandate object.

operationId: GetMandatesMandate

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

mandate path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/mandates/{mandate}

Paymentattemptrecords 2 endpoints

GET /v1/payment_attempt_records

List all the Payment Attempt Records attached to the specified Payment Record.

operationId: GetPaymentAttemptRecords

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

payment_record query required string

The ID of the Payment Record.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/payment_attempt_records
GET /v1/payment_attempt_records/{id}

Retrieves a Payment Attempt Record with the given ID

operationId: GetPaymentAttemptRecordsId

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

id path required string

The ID of the Payment Attempt Record.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/payment_attempt_records/{id}

Paymentintents 12 endpoints

GET /v1/payment_intents

Returns a list of PaymentIntents.

operationId: GetPaymentIntents

Parameters

Name In Required Type Description
created query optional

A filter on the list, based on the object created field. The value can be a string with an integer Unix timestamp or a dictionary with a number of different query options.

customer query optional string

Only return PaymentIntents for the customer that this customer ID specifies.

customer_account query optional string

Only return PaymentIntents for the account representing the customer that this ID specifies.

ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/payment_intents
POST /v1/payment_intents

Creates a PaymentIntent object.

After the PaymentIntent is created, attach a payment method and confirm to continue the payment. Learn more about the available payment flows with the Payment Intents API.

When you use confirm=true during creation, it’s equivalent to creating and confirming the PaymentIntent in the same call. You can use any parameters available in the confirm API when you supply confirm=true.

operationId: PostPaymentIntents

Request Body

required
application/x-www-form-urlencoded
Property Type Required
hooks object optional
inputs object optional
tax object optional
calculation object required
amount integer required
expand array optional
confirm boolean optional
mandate string optional
currency string required
customer string optional
metadata object optional
shipping object optional
name string required
phone string optional
address object required
city string optional
line1 string optional
line2 string optional
state string optional
country string optional
postal_code string optional
carrier string optional
tracking_number string optional
return_url string optional
description string optional
off_session object optional
mandate_data object optional
on_behalf_of string optional
radar_options object optional
session string optional
receipt_email string optional
transfer_data object optional
amount integer optional
destination string required
amount_details object optional
tax object optional
shipping object optional
line_items object optional
discount_amount object optional
enforce_arithmetic_validation boolean optional
capture_method string optional
payment_method string optional
…17 more object optional

Responses

default

Error response.

200

Successful response.

POST /v1/payment_intents
GET /v1/payment_intents/search

Search for PaymentIntents you’ve previously created using Stripe’s Search Query Language. Don’t use search in read-after-write flows where strict consistency is necessary. Under normal operating conditions, data is searchable in less than a minute. Occasionally, propagation of new or updated data can be up to an hour behind during outages. Search functionality is not available to merchants in India.

operationId: GetPaymentIntentsSearch

Parameters

Name In Required Type Description
expand query optional array

Specifies which fields in the response should be expanded.

limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

page query optional string

A cursor for pagination across multiple pages of results. Don’t include this parameter on the first call. Use the next_page value returned in a previous response to request subsequent results.

query query required string

The search query string. See search query language and the list of supported query fields for payment intents.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/payment_intents/search
GET /v1/payment_intents/{intent}

Retrieves the details of a PaymentIntent that has previously been created.

You can retrieve a PaymentIntent client-side using a publishable key when the client_secret is in the query string.

If you retrieve a PaymentIntent with a publishable key, it only returns a subset of properties. Refer to the payment intent object reference for more details.

operationId: GetPaymentIntentsIntent

Parameters

Name In Required Type Description
client_secret query optional string

The client secret of the PaymentIntent. We require it if you use a publishable key to retrieve the source.

expand query optional array

Specifies which fields in the response should be expanded.

intent path required string

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/payment_intents/{intent}
POST /v1/payment_intents/{intent}

Updates properties on a PaymentIntent object without confirming.

Depending on which properties you update, you might need to confirm the PaymentIntent again. For example, updating the payment_method always requires you to confirm the PaymentIntent again. If you prefer to update and confirm at the same time, we recommend updating properties through the confirm API instead.

operationId: PostPaymentIntentsIntent

Parameters

Name In Required Type Description
intent path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
hooks object optional
inputs object optional
tax object optional
calculation object required
amount integer optional
expand array optional
currency string optional
customer string optional
metadata object optional
shipping object optional
description string optional
receipt_email object optional
transfer_data object optional
amount integer optional
amount_details object optional
capture_method string optional
payment_method string optional
transfer_group string optional
payment_details object optional
customer_account string optional
setup_future_usage string optional
payment_method_data object optional
eps object optional
bank string optional
fpx object optional
bank string required
p24 object optional
bank string optional
pix object optional
upi object optional
mandate_options object optional
amount integer optional
end_date integer optional
amount_type string optional
description string optional
zip object optional
alma object optional
blik object optional
link object optional
oxxo object optional
type string required
ideal object optional
bank string optional
payco object optional
payto object optional
pay_id string optional
bsb_number string optional
account_number string optional
swish object optional
twint object optional
affirm object optional
alipay object optional
billie object optional
boleto object optional
tax_id string required
…37 more object optional
payment_method_types array optional
statement_descriptor string optional
…5 more object optional

Responses

default

Error response.

200

Successful response.

POST /v1/payment_intents/{intent}
GET /v1/payment_intents/{intent}/amount_details_line_items

Lists all LineItems of a given PaymentIntent.

operationId: GetPaymentIntentsIntentAmountDetailsLineItems

Parameters

Name In Required Type Description
ending_before query optional string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

expand query optional array

Specifies which fields in the response should be expanded.

intent path required string
limit query optional integer

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

starting_after query optional string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

Request Body

application/x-www-form-urlencoded

Responses

default

Error response.

200

Successful response.

GET /v1/payment_intents/{intent}/amount_details_line_items
POST /v1/payment_intents/{intent}/apply_customer_balance

Manually reconcile the remaining amount for a customer_balance PaymentIntent.

operationId: PostPaymentIntentsIntentApplyCustomerBalance

Parameters

Name In Required Type Description
intent path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
amount integer optional
expand array optional
currency string optional

Responses

default

Error response.

200

Successful response.

POST /v1/payment_intents/{intent}/apply_customer_balance
POST /v1/payment_intents/{intent}/cancel

You can cancel a PaymentIntent object when it’s in one of these statuses: requires_payment_method, requires_capture, requires_confirmation, requires_action or, in rare cases, processing.

After it’s canceled, no additional charges are made by the PaymentIntent and any operations on the PaymentIntent fail with an error. For PaymentIntents with a status of requires_capture, the remaining amount_capturable is automatically refunded.

You can directly cancel the PaymentIntent for a Checkout Session only when the PaymentIntent has a status of requires_capture. Otherwise, you must expire the Checkout Session.

operationId: PostPaymentIntentsIntentCancel

Parameters

Name In Required Type Description
intent path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional
cancellation_reason string optional

Responses

default

Error response.

200

Successful response.

POST /v1/payment_intents/{intent}/cancel
POST /v1/payment_intents/{intent}/capture

Capture the funds of an existing uncaptured PaymentIntent when its status is requires_capture.

Uncaptured PaymentIntents are cancelled a set number of days (7 by default) after their creation.

Learn more about separate authorization and capture.

operationId: PostPaymentIntentsIntentCapture

Parameters

Name In Required Type Description
intent path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
hooks object optional
inputs object optional
tax object optional
calculation object required
expand array optional
metadata object optional
final_capture boolean optional
transfer_data object optional
amount integer optional
amount_details object optional
tax object optional
shipping object optional
line_items object optional
discount_amount object optional
enforce_arithmetic_validation boolean optional
payment_details object optional
amount_to_capture integer optional
statement_descriptor string optional
application_fee_amount integer optional
statement_descriptor_suffix string optional

Responses

default

Error response.

200

Successful response.

POST /v1/payment_intents/{intent}/capture
POST /v1/payment_intents/{intent}/confirm

Confirm that your customer intends to pay with current or provided payment method. Upon confirmation, the PaymentIntent will attempt to initiate a payment.

If the selected payment method requires additional authentication steps, the PaymentIntent will transition to the requires_action status and suggest additional actions via next_action. If payment fails, the PaymentIntent transitions to the requires_payment_method status or the canceled status if the confirmation limit is reached. If payment succeeds, the PaymentIntent will transition to the succeeded status (or requires_capture, if capture_method is set to manual).

If the confirmation_method is automatic, payment may be attempted using our client SDKs and the PaymentIntent’s client_secret. After next_actions are handled by the client, no additional confirmation is required to complete the payment.

If the confirmation_method is manual, all payment attempts must be initiated using a secret key.

If any actions are required for the payment, the PaymentIntent will return to the requires_confirmation state after those actions are completed. Your server needs to then explicitly re-confirm the PaymentIntent to initiate the next payment attempt.

There is a variable upper limit on how many times a PaymentIntent can be confirmed. After this limit is reached, any further calls to this endpoint will transition the PaymentIntent to the canceled state.

operationId: PostPaymentIntentsIntentConfirm

Parameters

Name In Required Type Description
intent path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
hooks object optional
inputs object optional
tax object optional
calculation object required
expand array optional
mandate string optional
shipping object optional
return_url string optional
off_session object optional
mandate_data object optional
client_secret string optional
radar_options object optional
session string optional
receipt_email object optional
amount_details object optional
capture_method string optional
payment_method string optional
use_stripe_sdk boolean optional
payment_details object optional
amount_to_confirm integer optional
confirmation_token string optional
setup_future_usage string optional
payment_method_data object optional
eps object optional
bank string optional
fpx object optional
bank string required
p24 object optional
bank string optional
pix object optional
upi object optional
mandate_options object optional
amount integer optional
end_date integer optional
amount_type string optional
description string optional
zip object optional
alma object optional
blik object optional
link object optional
oxxo object optional
type string required
ideal object optional
bank string optional
payco object optional
payto object optional
pay_id string optional
bsb_number string optional
account_number string optional
swish object optional
twint object optional
affirm object optional
alipay object optional
billie object optional
boleto object optional
tax_id string required
…37 more object optional
payment_method_types array optional
…3 more object optional

Responses

default

Error response.

200

Successful response.

POST /v1/payment_intents/{intent}/confirm
POST /v1/payment_intents/{intent}/increment_authorization

Perform an incremental authorization on an eligible PaymentIntent. To be eligible, the PaymentIntent’s status must be requires_capture and incremental_authorization_supported must be true.

Incremental authorizations attempt to increase the authorized amount on your customer’s card to the new, higher amount provided. Similar to the initial authorization, incremental authorizations can be declined. A single PaymentIntent can call this endpoint multiple times to further increase the authorized amount.

If the incremental authorization succeeds, the PaymentIntent object returns with the updated amount. If the incremental authorization fails, a card_declined error returns, and no other fields on the PaymentIntent or Charge update. The PaymentIntent object remains capturable for the previously authorized amount.

Each PaymentIntent can have a maximum of 10 incremental authorization attempts, including declines. After it’s captured, a PaymentIntent can no longer be incremented.

Learn more about incremental authorizations.

operationId: PostPaymentIntentsIntentIncrementAuthorization

Parameters

Name In Required Type Description
intent path required string

Request Body

required
application/x-www-form-urlencoded
Property Type Required
hooks object optional
inputs object optional
tax object optional
calculation object required
amount integer required
expand array optional
metadata object optional
description string optional
transfer_data object optional
amount integer optional
amount_details object optional
tax object optional
shipping object optional
line_items object optional
discount_amount object optional
enforce_arithmetic_validation boolean optional
payment_details object optional
order_reference object optional
customer_reference object optional
statement_descriptor string optional
application_fee_amount integer optional

Responses

default

Error response.

200

Successful response.

POST /v1/payment_intents/{intent}/increment_authorization
POST /v1/payment_intents/{intent}/verify_microdeposits

Verifies microdeposits on a PaymentIntent object.

operationId: PostPaymentIntentsIntentVerifyMicrodeposits

Parameters

Name In Required Type Description
intent path required string

Request Body

application/x-www-form-urlencoded
Property Type Required
expand array optional
amounts array optional
client_secret string optional
descriptor_code string optional

Responses

default

Error response.

200

Successful response.

POST /v1/payment_intents/{intent}/verify_microdeposits
Load more endpoints